Monday, January 16, 2006

Onward and upward - M4 released!

Three interesting bits of news to report.

First, WTP's first step toward the 1.5 release and the Callisto train has occured. Go to the M4 down page for a version of WTP similar to 1.0 (with a few extra bug fixes thrown in; technically this is also a 1.0.1 I-build) but that works with M4 of Eclipse 3.2 and the other WTP prereqs.

Second, we've fixed some perf issues reported against 1.0, some of which represented regressions late in the release cycle. If you've experienced these and are feeling the pain, also check out the link above for fixes. (And if you still have perf issues, please report them - performance is a key deliverable for the 1.0.1 service pack.)

Finally, it's official: the Dali project, a technology project representing the merger of the former JSR 220 and EJB 3.0 technology projets, is here. This is great news for the Eclipse community and WTP in particular, because it means some of the strongest supporters of these technologies (Oracle, Versant, Sybase, Solarmetric, JBoss, and others) are all working together in a coordinated fashion on a single technology project. When these technologies mature, they will graduate into WTP and DTP as appropriate. See the Dali site for more details.

2 Comments:

At 12:32 AM, Blogger Eugene Kuleshov said...

It would be really neat you you'd provide an update site with those WTP builds. AJDT project is doing this with a great success.

 
At 1:09 AM, Blogger Michele said...

Does 1.5M4 also works with 3.1.1 and previous versions of the other prereqs?

I downloaded M200601102004 in order to fix bug#121692, I don't want to move to 3.2 yet, would it be advisable to update to 1.5M4?

 

Post a Comment

<< Home